Subject: Case #2187050
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Thu, 21 Jan 2016 13:54:19 -0500

Hello Mr. Abebe.
I have been trying to contact our customer to find out more information as it pertains to this case. It has been difficult as the owner is generally unavailable and/or out of the office. I will continue to try and get a hold of Mr. Ledermann (Pascal) the owner and let you know if anything asap. If I do not have any success in contacting him, I may just want you to send him a letter or call him directly to explain the situation. I will contact you hopefully soon.
Thank you,
Michael Bishop
Labor Law Poster Service